#include "Edge.h"

#include "Node.h"

Edge::Edge(Node* node0, Node* node1, unsigned id)
    : mNode0(node0),
      mNode1(node1),
      mId(id)
{
}

std::unique_ptr<Edge> Edge::Create(Node* node0, Node* node1, unsigned id)
{
    return std::make_unique<Edge>(node0, node1, id);
}

Edge::~Edge()
{

}
