#pragma once

class Node;

#include <memory>

class Edge
{
public:
    Edge(Node* node0, Node* node1, unsigned id = 0);
    ~Edge();

    static std::unique_ptr<Edge> Create(Node* node0, Node* node1, unsigned id = 0);

private:
    unsigned mId{0};
    Node* mNode0{nullptr};
    Node* mNode1{nullptr};
};
