#include "TriFace.h"

TriFace::TriFace(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id)
    : mEdge0(edge0),
      mEdge1(edge1),
      mEdge2(edge2),
      mId(id)
{

}

std::unique_ptr<TriFace> TriFace::Create(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id)
{
    return std::make_unique<TriFace>(edge0, edge1, edge2, id);
}

TriFace::~TriFace()
{

}
