#include "ImageEditorView.h"

#include "Label.h"
#include "Color.h"

ImageEditorView::ImageEditorView()
{
    auto label = Label::Create();
    label->setLabel("Image Editor");
    label->setBackgroundColor(Color(200, 189, 160));
    label->setMargin(1);
    addWidget(std::move(label));
}

std::unique_ptr<ImageEditorView> ImageEditorView::Create()
{
    return std::make_unique<ImageEditorView>();
}
