#pragma once

#include <memory>

class Edge;

class TriFace
{
public:
    TriFace(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id=0);
    ~TriFace();

    static std::unique_ptr<TriFace> Create(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id=0);
private:
    unsigned mId{0};
    Edge* mEdge0{nullptr};
    Edge* mEdge1{nullptr};
    Edge* mEdge2{nullptr};
};
