#pragma once

#include <vector>

class VisualLayer;

class Scene
{
public:
    Scene() = default;

    void setLayers(const std::vector<VisualLayer*>& layers)
    {
        mLayers = layers;
    }

    const std::vector<VisualLayer*>& getLayers() const
    {
        return mLayers;
    }
private:
    std::vector<VisualLayer*> mLayers;
};
