#include "WaylandInterface.h"

#include "Window.h"
#include "FileLogger.h"

#include "GuiApplication.h"

int main()
{
    FileLogger::GetInstance().Open();

    auto app = std::make_unique<GuiApplication>();

    //app->setUiInterfaceBackend(UiInterfaceFactory::Backend::WAYLAND);
    app->setUiInterfaceBackend(UiInterfaceFactory::Backend::WAYLAND_RASTER);

    app->run();

    return 0;
}
